Skip to main content

POST /lists/price-lists

POST 

/lists/price-lists

POST /lists/price-lists

Request​

Body

    id int32
    code stringrequired

    Possible values: non-empty

    name stringnullable
    name_loc stringnullable
    type stringnullable
    tax_nexus stringnullable
    currency stringrequired

    Possible values: non-empty

    country stringnullable
    rate_format stringrequired

    Possible values: non-empty

    contact

    object

    id int64nullable
    uid uuid
    created_at date-timenullable
    type stringrequired

    Possible values: non-empty

    Default value: COM

    display_name stringrequired

    Possible values: non-empty

    business_name stringrequired

    Possible values: non-empty

    reg_no stringnullable
    tax_no stringnullable
    social_security_no stringnullable
    currency stringnullable
    payment_term int32nullable
    email stringnullable
    preferred_locale stringnullable
    shopify_customer_id int64nullable
    stripe_customer_id stringnullable
    woocommerce_customer_id int64nullable
    eshop_customer_id int64nullable

    billing_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    shipping_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    taxes

    object[]

    nullable

  • Array [

  • country stringnullable
    vat_no stringnullable
  • ]

  • items

    object[]

    nullable

  • Array [

  • id int64

    item

    object

    id int64
    uid uuid
    sku stringnullable
    name stringnullable
    barcode stringnullable
    country_of_origin stringnullable
    harmonized_system_code stringnullable
    weight_grams doublenullable
    rate doublenullable
    has_batches boolean
    has_serial_no boolean
    requires_shipping boolean
    shopify_product_id int64nullable
    woocommerce_product_id int64nullable
    eshop_product_id int64nullable

    stock_unit

    object

    id int32nullable
    symbol stringnullable
    unece_code stringnullable
    iso_code stringnullable
    name stringnullable

    l10n

    object[]

    nullable

  • Array [

  • id int64
    culture stringnullable
    name stringnullable
    description stringnullable
  • ]

  • variants

    object[]

    nullable

  • Array [

  • id int64
    order int32nullable
    sku stringnullable
    barcode stringnullable
    country_of_origin stringnullable
    harmonized_system_code stringnullable
    weight_grams doublenullable
    dimension1 stringnullable
    dimension2 stringnullable
    dimension3 stringnullable
    dimension4 stringnullable
    dimension5 stringnullable
    shopify_variant_id int64nullable
    woocommerce_variant_id int64nullable
    eshop_variant_id int64nullable
  • ]

  • dimensions

    object[]

    nullable

  • Array [

  • order int32
    name stringnullable
    values string[]nullable
  • ]

  • taxes

    object[]

    nullable

  • Array [

  • tax_index int32nullable
    tax_rate doublenullable
  • ]

  • unit

    object

    unece_code stringnullable
    id int32nullable
    symbol stringnullable
    name stringnullable
    iso_code stringnullable
    rate double
    qty_from doublenullable
    qty_to doublenullable
    stock_unit_rate doublenullable
    order int32nullable
  • ]

  • l10n

    object[]

    nullable

  • Array [

  • id int64
    culture stringnullable
    name stringnullable
    description stringnullable
  • ]

Responses​

OK

Schema

    id int32
    code stringrequired

    Possible values: non-empty

    name stringnullable
    name_loc stringnullable
    type stringnullable
    tax_nexus stringnullable
    currency stringrequired

    Possible values: non-empty

    country stringnullable
    rate_format stringrequired

    Possible values: non-empty

    contact

    object

    id int64nullable
    uid uuid
    created_at date-timenullable
    type stringrequired

    Possible values: non-empty

    Default value: COM

    display_name stringrequired

    Possible values: non-empty

    business_name stringrequired

    Possible values: non-empty

    reg_no stringnullable
    tax_no stringnullable
    social_security_no stringnullable
    currency stringnullable
    payment_term int32nullable
    email stringnullable
    preferred_locale stringnullable
    shopify_customer_id int64nullable
    stripe_customer_id stringnullable
    woocommerce_customer_id int64nullable
    eshop_customer_id int64nullable

    billing_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    shipping_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    taxes

    object[]

    nullable

  • Array [

  • country stringnullable
    vat_no stringnullable
  • ]

  • items

    object[]

    nullable

  • Array [

  • id int64

    item

    object

    id int64
    uid uuid
    sku stringnullable
    name stringnullable
    barcode stringnullable
    country_of_origin stringnullable
    harmonized_system_code stringnullable
    weight_grams doublenullable
    rate doublenullable
    has_batches boolean
    has_serial_no boolean
    requires_shipping boolean
    shopify_product_id int64nullable
    woocommerce_product_id int64nullable
    eshop_product_id int64nullable

    stock_unit

    object

    id int32nullable
    symbol stringnullable
    unece_code stringnullable
    iso_code stringnullable
    name stringnullable

    l10n

    object[]

    nullable

  • Array [

  • id int64
    culture stringnullable
    name stringnullable
    description stringnullable
  • ]

  • variants

    object[]

    nullable

  • Array [

  • id int64
    order int32nullable
    sku stringnullable
    barcode stringnullable
    country_of_origin stringnullable
    harmonized_system_code stringnullable
    weight_grams doublenullable
    dimension1 stringnullable
    dimension2 stringnullable
    dimension3 stringnullable
    dimension4 stringnullable
    dimension5 stringnullable
    shopify_variant_id int64nullable
    woocommerce_variant_id int64nullable
    eshop_variant_id int64nullable
  • ]

  • dimensions

    object[]

    nullable

  • Array [

  • order int32
    name stringnullable
    values string[]nullable
  • ]

  • taxes

    object[]

    nullable

  • Array [

  • tax_index int32nullable
    tax_rate doublenullable
  • ]

  • unit

    object

    unece_code stringnullable
    id int32nullable
    symbol stringnullable
    name stringnullable
    iso_code stringnullable
    rate double
    qty_from doublenullable
    qty_to doublenullable
    stock_unit_rate doublenullable
    order int32nullable
  • ]

  • l10n

    object[]

    nullable

  • Array [

  • id int64
    culture stringnullable
    name stringnullable
    description stringnullable
  • ]

Loading...